petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFieldSplitSetOffDiagUseAmat

set flag indicating whether to extract off-diagonal blocks from Amat (rather than Pmat)

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSetOffDiagUseAmat(PC pc,PetscBool flg)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner object
| flg | - boolean flag indicating whether or not to use Amat to extract the off-diagonal blocks from

### Options Database

-pc_fieldsplit_off_diag_use_amat -

### See Also

PCFieldSplitGetOffDiagUseAmat(), PCFieldSplitSetDiagUseAmat(), PCFIELDSPLIT

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages